| Home | Libraries | People | FAQ | More

## Function template metadata

boost::histogram::axis::traits::metadata — Returns reference to metadata of an axis.

## Synopsis

    // In header: <boost/histogram/axis/traits.hpp>

    template<typename Axis> decltype(auto) metadata(Axis && axis);

## Description

If the expression x.metadata() for an axis instance `x` (maybe const) is valid, return the result. Otherwise, return a reference to a static instance ofboost::histogram::axis::null_type.

Parameters:

`axis` | any axis instance